//phong shaded stuff

//phong shaded texture and shader by hipshot, modified by me
textures/venice/plaster_4_shade
{
	qer_editorimage textures/venice/plaster_4.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/venice/plaster_4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//texture by me
textures/venice/tiles_shade
{
	qer_editorimage textures/venice/tiles_old.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/venice/tiles_old.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//texture by me
textures/venice/wood_2_shade
{
	qer_editorimage textures/venice/wood_2.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/venice/wood_2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//phong shaded rock texture by Kat
textures/venice/granite_slabs_Q3_3
{ 
qer_editorimage textures/venice/granite_slabs_Q3_3.tga 

q3map_forceMeta 
q3map_nonplanar 
q3map_shadeAngle 179 
{ 
map textures/venice/granite_slabs_Q3_3.tga 
rgbGen identity 
} 
{ 
map $lightmap 
blendFunc GL_DST_COLOR GL_ZERO 
rgbGen identity 
} 
}

//venice sky-shader by ydnar, texture and modifications to script by me
textures/venice/sky
{
	qer_editorimage textures/venice/clouds.tga
	
	q3map_lightImage textures/venice/clouds.tga
	
	// light values tuned for -gamma 2 -compensate 4
	q3map_sunExt 1 1 1 30 -30 90 2 12
	q3map_skyLight 50 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/venice/env/sky 1337 -
	
	nopicmip
	
	{
		map textures/venice/clouds.tga
		tcMod scroll 0.0025 -0.0075
		rgbGen identityLighting
	}
	{
		map textures/venice/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

//transparent stuff by me
textures/venice/chain
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/chain.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/cables_d
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/cables_d.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/hanging_rope
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/hanging_rope.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/rope_hanging_2
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/rope_hanging_2.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/girder_d
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/girder_d.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/ivy_d
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/ivy_d.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/railings_d
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/railings_d.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/arch_d
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/arch_d.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

//texture by hipshot
textures/venice/window_1_grate
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/window_1_grate.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

//textures by Cardigan

textures/venice/vinesfinal
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/vinesfinal.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/venice/hangvines2
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/hangvines2.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

//texture by me
textures/venice/spawn
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/venice/spawn.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
        {
                clampMap textures/venice/spawn_1.tga
                alphaFunc GE128
		rgbGen Vertex
                tcMod rotate -30
        }
        {
                clampMap textures/venice/spawn_2.tga
                alphaFunc GE128
		rgbGen Vertex
                tcMod rotate 30
        }
	
}

//windows and lights
//textures by me

textures/venice/window_d
{
	qer_editorimage textures/venice/window_d.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nolightmap
	//cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/venice/window_d.tga
		rgbGen identity
	}
	{
		map textures/venice/window_glow.tga
		blendfunc add
		rgbGen wave sin 1 0.1 1 9
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbGen identity
	//}
}

textures/venice/window_2_d
{
	qer_editorimage textures/venice/window_2_d.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nolightmap
	//cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/venice/window_2_d.tga
		rgbGen identity
	}
	{
		map textures/venice/window_2_glow.tga
		blendfunc add
		rgbGen wave sin 1 0.1 1 9
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbGen identity
	//}
}

textures/venice/window_small_d
{
	qer_editorimage textures/venice/window_small_d.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nolightmap
	//cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/venice/window_small_d.tga
		rgbGen identity
	}
	{
		map textures/venice/window_small_glow.tga
		blendfunc add
		rgbGen wave sin 1 0.1 1 9
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbGen identity
	//}
}

textures/venice/lamp
{
	qer_editorimage textures/venice/lamp.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/venice/lamp.tga
		rgbGen identity
	}
	{
		map textures/venice/lamp_glow.tga
		blendfunc add
		rgbGen wave sin 1 0.1 1 9
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//decals
textures/venice/ground_decal
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/venice/ground_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/venice/dirt_3
{ 
   surfaceparm trans
   surfaceparm nonsolid
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/venice/dirt_3.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/venice/small_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/venice/small_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/venice/trim_conc_decal
{ 
   qer_editorimage textures/venice/trim_conc.tga
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   sort 6 
   { 
      map textures/venice/trim_conc.tga 
      rgbGen identity 
   } 
   {  
      map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
      rgbGen identity 
   } 
}

textures/venice/edge_decal
{ 
   qer_editorimage textures/venice/edge_d.tga
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset 
   sort 6 
   { 
      map textures/venice/edge_d.tga 
      rgbGen identity 
   } 
   {  
      map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
      rgbGen identity 
   } 
}

textures/venice/capstones
{
    surfaceparm trans
    surfaceparm nonsolid 
    polygonOffset 
    sort 6 
    nopicmip 
        {
                map textures/venice/capstones.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
       // {  
       //         map $lightmap 
       //         blendFunc GL_DST_COLOR GL_ZERO 
       //         rgbGen identity 
       // } 
	
}

textures/ng_logos/MSG_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   { 
      map textures/ng_logos/MSG_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}

textures/ng_logos/NoGhost_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset
   qer_trans 0.5 
   sort 6 
   { 
      map textures/ng_logos/NoGhost_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}

textures/ng_logos/Sapphire_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset
   qer_trans 0.5 
   sort 6 
   { 
      map textures/ng_logos/Sapphire_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}

textures/ng_logos/AMD_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset
   qer_trans 0.5 
   sort 6 
   { 
      map textures/ng_logos/AMD_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
   }

}

textures/ng_logos/ATi_decal
{ 
   surfaceparm trans
   surfaceparm nonsolid 
   surfaceparm nomarks 
   polygonOffset
   qer_trans 0.5 
   sort 6 
   { 
      map textures/ng_logos/ATi_decal.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
   }

}

//murky water
textures/venice/water
	{
		qer_editorimage textures/venice/pool2.tga
		qer_trans .5
		q3map_globaltexture

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap

		cull disable
		//tesssize 64
		deformVertexes wave 100 sin 1 1 1 .1
		
	
	
		{
			map textures/venice/pool2.tga
			blendfunc GL_ONE GL_SRC_COLOR	
			tcMod scale .03 .03
			tcMod scroll .001 .001
		}
	
		{
			map textures/venice/pool3.tga
			blendfunc GL_DST_COLOR GL_ONE
			tcMod turb .1 .1 0 .01
			tcMod scale .5 .5
			tcMod scroll -.025 .02
		}


}

//Particle shaders
textures/venice/dk_part_rd2_1
{
qer_editorimage textures/venice/dk_part_rd.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -16.720821 -9.331569 -5.773730 sawtooth 0 1 0.753166 1.000000
{
clampmap textures/venice/dk_part_rd.tga
tcMod rotate 297.625977
AlphaGen wave sawtooth 1.000000 0.000000 0.753166 1.000000
rgbGen wave sawtooth 1.000000 -1.000000 0.753166 1.000000
tcMod stretch sawtooth 1.000000 -1.000000 0.753166 1.000000
blendfunc add
}
}

textures/venice/dk_part_rd2_2
{
qer_editorimage textures/venice/dk_part_rd.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -8.565844 -3.909395 17.644913 sawtooth 0 1 0.689169 1.000000
{
clampmap textures/venice/dk_part_rd.tga
tcMod rotate 274.998932
AlphaGen wave sawtooth 1.000000 0.000000 0.689169 1.000000
rgbGen wave sawtooth 1.000000 -1.000000 0.689169 1.000000
tcMod stretch sawtooth 1.000000 -1.000000 0.689169 1.000000
blendfunc add
}
}

textures/venice/dk_part_rd2_3
{
qer_editorimage textures/venice/dk_part_rd.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 13.012289 15.043896 -2.088427 sawtooth 0 1 0.215705 1.000000
{
clampmap textures/venice/dk_part_rd.tga
tcMod rotate 415.743591
AlphaGen wave sawtooth 1.000000 0.000000 0.215705 1.000000
rgbGen wave sawtooth 1.000000 -1.000000 0.215705 1.000000
tcMod stretch sawtooth 1.000000 -1.000000 0.215705 1.000000
blendfunc add
}
}




	